Create link
curl --request POST \
--url https://api.prod.finverse.net/link \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"consent": true,
"encrypted_credentials": {
"ciphertext": "<string>",
"envelopeEncryptionKey": "<string>",
"initializationVector": "<string>",
"keyId": "<string>",
"messageAuthenticationCode": "<string>"
},
"institution_id": "ez-bank",
"products_requested": [
"ACCOUNTS",
"TRANSACTIONS",
"PAYMENTS"
],
"store_credentials": true,
"user_id": "<string>",
"payment_instruction_id": "<string>"
}
'import requests
url = "https://api.prod.finverse.net/link"
payload = {
"consent": True,
"encrypted_credentials": {
"ciphertext": "<string>",
"envelopeEncryptionKey": "<string>",
"initializationVector": "<string>",
"keyId": "<string>",
"messageAuthenticationCode": "<string>"
},
"institution_id": "ez-bank",
"products_requested": ["ACCOUNTS", "TRANSACTIONS", "PAYMENTS"],
"store_credentials": True,
"user_id": "<string>",
"payment_instruction_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
consent: true,
encrypted_credentials: {
ciphertext: '<string>',
envelopeEncryptionKey: '<string>',
initializationVector: '<string>',
keyId: '<string>',
messageAuthenticationCode: '<string>'
},
institution_id: 'ez-bank',
products_requested: ['ACCOUNTS', 'TRANSACTIONS', 'PAYMENTS'],
store_credentials: true,
user_id: '<string>',
payment_instruction_id: '<string>'
})
};
fetch('https://api.prod.finverse.net/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"institution": {
"countries": [
"HKG"
],
"institution_id": 123,
"institution_name": "Mock Bank",
"portal_name": "Personal Internet Banking"
},
"login_identity": {
"customer_app_id": "<string>",
"institution_id": 123,
"user_id": "form_post",
"authentication_id": 123,
"authentication_status": {
"last_successful_update": "2021-02-01T10:01:02.333Z",
"last_update": "2021-02-01T10:01:02.333Z",
"status": "IN_PROGRESS, SUCCESS, PARTIAL_ERROR, WARNING, ERROR",
"status_details": "AUTHENTICATION_INITIALIZED"
},
"billing_details": {
"billed_products": [
"<string>"
]
},
"created_at": "2023-11-07T05:31:56Z",
"error": {
"code": 123,
"details": "Credentials are invalid. Please try again.",
"message": "Credentials invalid",
"type": "INVALID_CREDENTIALS"
},
"first_success": "2023-11-07T05:31:56Z",
"last_session_id": "<string>",
"last_success": "2023-11-07T05:31:56Z",
"linking_attempt_id": 123,
"login_identity_id": "<string>",
"login_methods_available": {
"havePassword": true,
"haveSecret": true
},
"permissions": [
"<string>"
],
"permissions_expiry_date": "2023-11-07T05:31:56Z",
"permissions_grant_date": "2023-11-07T05:31:56Z",
"product_status": {
"account_numbers": {
"last_successful_update": "2021-02-01T10:01:02.333Z",
"last_update": "2021-02-01T10:01:02.333Z",
"status": "IN_PROGRESS, SUCCESS, PARTIAL_ERROR, WARNING, ERROR",
"status_details": "AUTHENTICATION_INITIALIZED"
},
"accounts": {
"last_successful_update": "2021-02-01T10:01:02.333Z",
"last_update": "2021-02-01T10:01:02.333Z",
"status": "IN_PROGRESS, SUCCESS, PARTIAL_ERROR, WARNING, ERROR",
"status_details": "AUTHENTICATION_INITIALIZED"
},
"balance_history": {
"last_successful_update": "2021-02-01T10:01:02.333Z",
"last_update": "2021-02-01T10:01:02.333Z",
"status": "IN_PROGRESS, SUCCESS, PARTIAL_ERROR, WARNING, ERROR",
"status_details": "AUTHENTICATION_INITIALIZED"
},
"card_details": {
"last_successful_update": "2021-02-01T10:01:02.333Z",
"last_update": "2021-02-01T10:01:02.333Z",
"status": "IN_PROGRESS, SUCCESS, PARTIAL_ERROR, WARNING, ERROR",
"status_details": "AUTHENTICATION_INITIALIZED"
},
"historical_transactions": {
"last_successful_update": "2021-02-01T10:01:02.333Z",
"last_update": "2021-02-01T10:01:02.333Z",
"status": "IN_PROGRESS, SUCCESS, PARTIAL_ERROR, WARNING, ERROR",
"status_details": "AUTHENTICATION_INITIALIZED"
},
"identity": {
"last_successful_update": "2021-02-01T10:01:02.333Z",
"last_update": "2021-02-01T10:01:02.333Z",
"status": "IN_PROGRESS, SUCCESS, PARTIAL_ERROR, WARNING, ERROR",
"status_details": "AUTHENTICATION_INITIALIZED"
},
"income_estimation": {
"last_successful_update": "2021-02-01T10:01:02.333Z",
"last_update": "2021-02-01T10:01:02.333Z",
"status": "IN_PROGRESS, SUCCESS, PARTIAL_ERROR, WARNING, ERROR",
"status_details": "AUTHENTICATION_INITIALIZED"
},
"online_transactions": {
"last_successful_update": "2021-02-01T10:01:02.333Z",
"last_update": "2021-02-01T10:01:02.333Z",
"status": "IN_PROGRESS, SUCCESS, PARTIAL_ERROR, WARNING, ERROR",
"status_details": "AUTHENTICATION_INITIALIZED"
},
"payments": {
"last_successful_update": "2021-02-01T10:01:02.333Z",
"last_update": "2021-02-01T10:01:02.333Z",
"status": "IN_PROGRESS, SUCCESS, PARTIAL_ERROR, WARNING, ERROR",
"status_details": "AUTHENTICATION_INITIALIZED"
},
"statements": {
"last_successful_update": "2021-02-01T10:01:02.333Z",
"last_update": "2021-02-01T10:01:02.333Z",
"status": "IN_PROGRESS, SUCCESS, PARTIAL_ERROR, WARNING, ERROR",
"status_details": "AUTHENTICATION_INITIALIZED"
}
},
"refresh": {
"credentials_stored": true,
"refresh_allowed": true
},
"session_status": "COMPLETED",
"status": "LINKING",
"status_details": {
"event_date": "2023-11-07T05:31:56Z",
"event_name": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z",
"webhook": "https://auth.example.com/callback"
}
}{
"error": {
"code": "CREDENTIALS_INVALID",
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}{
"error": {
"code": "CREDENTIALS_INVALID",
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}Link
Create link
Create a new link and submit credentials
POST
/
link
Create link
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Request body for creating a new link and submitting credentials
this is a mandatory field
Example:
true
Show child attributes
Show child attributes
Required string length:
2 - 100Example:
"ez-bank"
products that are requested
Maximum string length:
100Example:
["ACCOUNTS", "TRANSACTIONS", "PAYMENTS"]
Example:
true
Identifier for end user
Maximum string length:
100Maximum string length:
100